# Class TCefSchemeHandlerFactoryOwn

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFSchemeHandlerFactory

## Declaration

`type TCefSchemeHandlerFactoryOwn = class(TCefBaseRefCountedOwn, ICefSchemeHandlerFactory)`

## Description

Class that creates ICefResourceHandler instances for handling scheme requests.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_scheme_capi.h">CEF source file: /include/capi/cef_scheme_capi.h (cef_scheme_handler_factory_t))

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefSchemeHandlerFactoryOwn

## Overview

### Fields

| `FClass: TCefResourceHandlerClass;`

### Methods

| `function New(const browser: ICefBrowser; const frame: ICefFrame; const schemeName: ustring; const request: ICefRequest): ICefResourceHandler; virtual;`
| `constructor Create(const AClass: TCefResourceHandlerClass); virtual;`

## Description

### Fields

| `FClass: TCefResourceHandlerClass;`
This item has no description.

### Methods

| `function New(const browser: ICefBrowser; const frame: ICefFrame; const schemeName: ustring; const request: ICefRequest): ICefResourceHandler; virtual;`
Return a new resource handler instance to handle the request or an NULL reference to allow default handling of the request. |browser| and |frame| will be the browser window and frame respectively that originated the request or NULL if the request did not originate from a browser window (for example, if the request came from ICefUrlRequest). The |request| object passed to this function cannot be modified.

| `constructor Create(const AClass: TCefResourceHandlerClass); virtual;`
Constructor of the scheme handler factory. ###### Parameters AClass Class of the custom resource handler used to handle custom scheme requests.

Generated by PasDoc 0.16.0-snapshot.